Posts

Showing posts from 2007

I Love Slackware Logo

Image
I have just added a new "I Love Slackware" logo on my blog. It's a contribution from someone from id-slackware mailing list. Check it out. Perhaps we should make a Logo Contest next year?

Console-Based BitTorrent Client

I was looking for console-based bittorrent client and i found this one, Enhanced CTorrent. It was an enhancement from the previous CTorrent which was abandoned. The SlackBuild community has provide the SlackBuild script to convert into tgz format, so it's very easy to get this package. It doesn't require too much dependencies, so it can be used after the installation finished.

Roundup of 2007

Image
This year, Slackware has reached another milestone by the release of Slackware 12.0. It's a big changes compared to Slackware 11 (previous version) and right now, the development of the next Slackware release is being worked on by Patrick Volkerding and the contributors around the world.

Slackware 12 has officially dropped the support for 2.4.x kernel series and now supports 2.6.x kernel series with plenty of options (you can have non-smp vs smp version and also generic vs huge kernels). It also added support for automounting features due to inclusion of HAL and DBUS combined with recompiled KDE and XFCE packages to use those two packages in order to bring the first automounting feature to users. It also utilize udev, a new dynamic device management system, replacing hotplug.

Since Slackware 11.0, there has been a movement to modular package management and you will see much more modular package on Slackware 12.0, mostly on new Xorg packages.

Another big change is the use of Apache 2 …

Amarok 1.4.8

Image
Well, it seems that Amarok developer will give a Christmas gift this year by giving the next release of Fast Forward series, 1.4.8. It has fixed some bugs listen on their press release, so it's just a matter of time before it will be published on -Current changelog, so just wait for a few days

This new version will require a new version of libgpod, so there will be at least two updated packages

9 Days Left

Image
You have 9 days left to vote on my polling about the most problematic hardware. The poll will end at the end of this year and it's been running for more than one month. I will post the result as soon as possible and start a new poll in the new year. Check my blog in new year

Upgraded to 2.6.23.12

Image
I have just upgraded to the latest 2.6.23.12 to sync with the latest -Current changelog (minus the libgsf that were just released). Last night i left my computer up and running and compiling the kernel so that when i wake up this morning, everything is already done and i only have to modify the LILO configuration

I conduct the upgrade in parallel with my laptop and both of them are now synced perfectly. Lucky me that there are no electricity problem

Kernel Updates

Image
It seems that PV realize that there won't be any kernel release again this year besides the -Stable version, so today he released an update to the standard kernel being used in -Current to 2.6.23.12, the latest -Stable version along with updates to glibc. I have download some of them but i will need to download the vanilla kernel source for 2.6.23.12 and compile it before i upgrade to the latest update to sync with the Slackware development.

I think it will be the last update for this year (if there aren't any major security problem) before most of the developers are taking their end of year break

Here's the latest -Current changelog:
Sat Dec 22 00:54:42 CST 2007
a/glibc-solibs-2.7-i486-4.tgz: Upgraded to glibc-2.7 compiled against Linux 2.6.23.12 kernel headers.

a/glibc-zoneinfo-2.7-noarch-4.tgz: Upgraded to tzdata2007j.

a/kernel-generic-2.6.23.12-i486-1.tgz: Upgraded to Linux 2.6.23.12 uniprocessor generic.s (requires initrd) kernel.

a/kernel-generic-smp-2.6.23.12_smp-i686-1.t…

Pkgtool Updates

Pkgtool has been used in Slackware since early version and so far, not much bug fixes since it's very stable and even if there's a bug, most people won't notice it. Today, there's an update to the pkgtool package and it's about the regex pattern being used in installpkg. It could cause packages that do not conform to the FHS (those containing single-character top-level directories) to not be removable or upgradeable through the pkgtools. Along with this regex fix, the update also Made the top-line with -infobox more terse since some of the package names have become too long to fit, and were disturbing the infobox's formatting.

Resource Sharing

Image
It seems that Firefox 3 Beta 2 uses the same directory called .firefox on each user home directory to save their settings. Since i don't copy/move my current .firefox, it get overridden and when i launched the old version (2.0.0.11), Firefox did their extension checking like when i upgrade or install new version. Lucky me, all of my extension still remains and so does most of the configuration and preferences, because i'm too lazy to reconfigure all of them

Testing Firefox 3 Beta 2

Image
I was interested by the release of the new Firefox 3 Beta 2, so i decided to grab the binary version for Linux version and test it under my Slackware system. In Linux version, there's no installation process needed, so all you need to do is extract and then run the binary and it will work as expected. Well, all of my current extension is not enabled due to incompatibility issues, but it's not a big problem as the version here is still beta, so the developer still has lots of time to update their code to be compatible with the final version of FF 3. I also have the plain FF interface since my theme is also disabled.

One thing i wanted to try with this version is the ACID2 test. Asa noted that FF 3 has passed the test long before IE 8 passed the test in 12 December. I tried the test and i got this results (see below). You see that there's one part where it doesn't displayed well. Someone named supernova_00 at MozillaZine said that the problem is not with FF, but the hosti…

Slackware-Current on ClassmatePC

Piter Punk gave an URL about Slackware-Current plus compiz running on ClassmatePC. It's the default installation, without further modifications. It's a proof that Slackware is still one of the best distro for lower specs computer. Check the video on YouTube

Broken Nmapfe Package

Someone on LQ posted a message about a broken Nmapfe after he upgrade to the latest version of Nmap on -Current (4.50). I tried to reproduce the error and i got this error message when i execute it from terminal:

Error in sys.excepthook:
Traceback (most recent call last):
File "/usr/bin/nmapfe", line 59, in excepthook
import gtk
ImportError: No module named gtk

Original exception was:
Traceback (most recent call last):
File "/usr/bin/nmapfe", line 150, in
app.run()
File "/tmp/package-nmap/usr/lib/python2.5/site-packages/zenmapGUI/App.py", line 96, in run
File "/tmp/package-nmap/usr/lib/python2.5/site-packages/zenmapGUI/App.py", line 100, in __run_gui
ImportError: No module named gtk


It's quite different with the error message in LQ, but the overall is the same. It's because Slackware doesn't come with pygtk and sqlite (but i have installed this package by myself, so i didn't get the error message of missing sqlite libraries…

PV On LQ

Image
Yesterday, official Slackware site was down for a few hours and somebody from China posted a message on LQ to ask the status (whether it's only him or did it affect the whole users). It seems that it's global as i experienced it too (forcing me to use OSUOSL's mirror) to look for the Changelog.

What surprises me is that today, i found PV's nickname on the LQ giving official statement about the downtime of the main server of Slackware. It's not usual for him to post something in the LQ (if you see the number of posts, he just reached 3 posts so far even though he has registered to LQ since 2002).

Keyboard LED Is Back To Normal

I have just upgraded to the latest XOrg and i found out the the Keyboard LED problem has been solved. Now it works like normal again. You can press CAPS LOCK or NUM LOCK keys and the LED on your keyboard will turn on and off according to the current state. Yeahhhh....

Security Fix: MySQL

It's very rare to see security fix for MySQL but it is reality. Even MySQL has security problem. Besides this security fixes, the latest -Current update also spot an update to Xorg Server packages along with other packages, such as libpng, halinfo, imagemagick, mkinitrd, linux-howtos, nmap, and a new package xf86-video-radeonhd-1.0.0-i486-1.tgz.

Check the -Current changelog for more detail:
Fri Dec 14 18:02:39 CST 2007
a/mkinitrd-1.3.0-i486-4.tgz: Fixed a bug that could cause modprobe to attempt to load the same module more than once (due to whitespace differences in the initramfs's load_kernel_modules script). Thanks to Piter Punk.

ap/mysql-5.0.51-i486-1.tgz:
Upgraded to mysql-5.0.51.
This release fixes several bugs, including some security issues.
However, it also includes a potentially incompatible change, so be sure to read the release notes before upgrading. It is possible that some databases will need to be fixed in order to work with this (and future) releases:
http://dev.my…

Kernel 2.6.23.10 Released

Well, another stable kernel has been released by Greg Kroah-Hartman, 2.6.23.10. It gives some updates backported from the development version of 2.6.24 which will be released after Christmas after Linus' announcement on -RC5 this week. It's kindda confusing. Should i upgrade or should i wait for the next final version? When i looked at the changelog, no major problem has been spotted, so i decided to wait until the next final version (the difference is not that much).

Security Update: Samba

Anotoher Samba package has been released as a security fix, this time it address a boundary failure in GETDC mailslot processing that can result in a buffer overrun leading to possible code execution. Along with this security release, Slackware-Current also release several package update, such as Pidgin, KTorrent, ProFTPD, XChat, GKrellm, and vte. Here's the latest -Current changelog:
Mon Dec 10 14:07:48 CST 2007
l/vte-0.16.10-i486-1.tgz: Upgraded to vte-0.16.10.

n/proftpd-1.3.1-i486-1.tgz: Upgraded to proftpd-1.3.1.

n/samba-3.0.28-i486-1.tgz:
Upgraded to samba-3.0.28.
Samba 3.0.28 is a security release in order to address a boundary failure in GETDC mailslot processing that can result in a buffer overrun leading to possible code execution.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6015
http://www.samba.org/samba/history/samba-3.0.28.html
http://secunia.com/secunia_research/2007-99/advisory/
(* Security fix *)

xap/gkrellm-2.3.1-i486-1.tgz: Upgraded to …

Upgrading Pidgin and KTorrent

It's been four days without any updates to the -Current, while some packages has been released, so i decided to make use of the Slackware's SlackBuild to upgrade some of my packages myself. Two packages that has been released, but not yet in -Current are Pidgin and KTorrent. Upgrading it is very easy. Grab the SlackBuild from source directory (Pidgin is in /source/xap/, while ktorrent is in /extra/source/ktorrent) and change the version to match the version you are trying to install.

Run it as root and wait for some time. The script will extract, configure, compile, and finally make a tgz package located in /tmp (by default). When it finished, you can start the upgrade process by using the normal way: upgradepkg.

Forum Linux 7.12 Released

Image
After few weeks of compiling, testing, and working, finally Budi has managed to release the first Forum Linux 7.12 Release. The ISO size was reduced quite a lot compared to the last beta. It's less than 200 MB (about 188 MB).

You can have LiveCD or USB version and the tutorial has been published as well. The data being used is still the same as the last beta, so about 21 November, but don't worry about that. We will release it every six months (yes, it has been changed from three to six months), so for now, enjoy the release

FYI, Forum Linux is based on targeT, which is based on Slackware 11.0.

Security Update : Cairo and XFCE

Image
Slackware-Current has been updated with security fixes: Cairo and XFCE along with some bunch of updates that has been tested for some time by several Slackware developers. I guess it's time for public testing

Here's the latest -Current changelog:
Mon Dec 3 21:04:37 CST 2007
a/inotify-tools-3.12-i486-1.tgz: Added inotify-tools-3.12.
Thanks to Eric Hameleers for the build script.

ap/cdparanoia-III10pre0-i486-1.tgz: Upgraded to cdparanoia-III-10pre0.

ap/hplip-2.7.10-i486-2.tgz: Rebuilt with some fixes to the build script.
Thanks to Robby Workman.

kde/amarok-1.4.7-i486-2.tgz: Recompiled against libmtp-0.2.4.

l/cairo-1.4.12-i486-1.tgz: Upgraded to cairo-1.4.12.
This fixes a possible security risk when decoding PNG files that may have been maliciously tampered with:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5503
(* Security fix *)

l/libmtp-0.2.4-i486-1.tgz: Upgraded to libmtp-0.2.4.
Thanks to Piter Punk for updating the udev rules.

l/libnjb-2.2.6-i486-2.tgz: Updated udev rules. Thank…

Security Update : Rsync

Slackware has responded quickly to security advisory for Rsync that is described here by releasing an updated package for rsync (and also for Firefox which has just been released in less than one week). People who used both packages are suggested to update to the latest version. Here's the latest -Current changelog:
Sat Dec 1 17:02:02 CST 2007
n/rsync-2.6.9-i486-2.tgz:
Patched some security bugs.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4091
http://lists.samba.org/archive/rsync-announce/2007/000050.html
(* Security fix *)

xap/mozilla-firefox-2.0.0.11-i686-1.tgz: Upgraded to Firefox 2.0.0.11, which fixed a bug introduced by the 2.0.0.10 update in the feature that affected some web pages and extensions.

Small Changes on Themes

Image
I decided to give some small changes on my SlackBlogs. I removed all the fancy templates and i used Tekka, which is very minimalistic. Then i modify the colors for the links and also adding some Slackware background to make it Slackware-like

One good thing about this changes is that emoticons will be shown without any borders, something impossible with the previous template (at least without any hacking involved). I hope you enjoy my new theme

Upgraded to GLIBC 2.7

I have just finished upgrading to the latest -Current with glibc-2.7. Upgrading glibc is the most dangerous thing (i had a bad experience when i was using Mandrake 9.0. I attempts to upgrade glibc using higher version of Mandrake 9.1 and at the end i ended with unusable system). Lucky me, Slackware has made it very easy and straightforward. Read my previous post and you won't get hurt.

I also upgrade to SeaMonkey 1.1.7 and also Firefox 2.0.0.11 (i don't use Slackware's package for Firefox. I prefer to use the binary version from Mozilla directly).

Small Tips: Upgrading to -Current

Image
For those who would like to test -Current (please read CURRENT.WARNING first!!), you can look on the CHANGES_AND_HINTS to see what changes has been made into -Current and also Changelog (this is a must).

Here i want to give you small tips when you decide to use -Current (the risk is on your own You have been WARNED!!)

The first thing you should do when you decide to use -Current is check your kernel version. The latest -Current will need 2.6.x kernel series (it's better if you have above 2.6.22.x. I used 2.6.23.9 currently at the time i wrote this post). Next thing is upgrade your glibc-solibs package. This is very crucial, since this package is the main C library being used by any other application. If you missed this steps, you may have unusable system, since every application you tried to execute will results in Segmentation fault. If you had this problem, i suggest you start reading Robby Workman's howto about GLIBC Recovery

The other package that you should upgrade at the …

Security Update : SeaMonkey

Slackware security team has released an update for SeaMonkey package (shortly after Firefox update has been released). This updates only available for Slackware 11.0 and newer (up to -Current). Meanwhile, an update for mkinitrd package has also shown up for sometime in -Stable and also in -Current

Here's the latest -Current changelog:
Thu Nov 29 19:51:15 CST 2007
xap/seamonkey-1.1.7-i486-1.tgz:
Upgraded to seamonkey-1.1.7.
This upgrade fixes some more security bugs.
For more information, see:
http://www.mozilla.org/projects/security/known-vulnerabilities.html#seamonkey
(* Security fix *)

Thu Nov 29 17:38:37 CST 2007
a/mkinitrd-1.3.0-i486-3.tgz: Fixed a missing '--parents' in a cp command.
Thanks to Eric Hameleers for pointing out the bug.

Big Changes on -Current

There's a BIG updates on -Current today. It's not about the amount of the packages that were released today, but on the version. Next Slackware release (it will be 12.1) will ship with the new GLIBC 2.7 (upgraded from 2.5 from 12.0). I actually quite surprised that Pat decided to use GLIBC 2.7 rather 2.6 (perhaps he already conduct some test and the results are quite good for him).

Well, it's a big change and i think i will leave it for a few days and see other people tested it first before i upgrade to GLIBC 2.7 (i'm downloading it right now) since it's a critical component on every Linux distribution. Using a wrong GLIBC version will results in segmentation faults everywhere, since every packages are compiled and linked to the GLIBC.

Here's the latest changes in -Current:
Thu Nov 29 01:06:48 CST 2007
ap/cdrtools-2.01.01a36-i486-1.tgz: Upgraded to cdrtools-2.01.01a36.
+--------------------------+
Thu Nov 29 01:02:12 CST 2007
a/glibc-solibs-2.7-i486-2.tgz: Upgraded t…

Forum Linux Beta

Image
me and Budi from Baliwae (we both represents Slackware-ID community) is proud to announce an availability of a new Indonesian Linux distribution (based on Slackware) that (hopefully) can be used by peoples who wanted to have an offline version of Indonesian Linux Forum. This idea comes from Forum members about two years ago (23 January 2005). At that time, i tried to provide the database dump for people, but it's quite useless, because people still has to install phpBB and modify the application first. It's not suitable for everyone.

So at the last ILC 2007 Conference, Budi was offering a help for a new Linux distribution that can be used for that purpose. He has finished making targeT Linux, so it will be quite easy for him to modify it again for this new distro.

After working for about two days, he finally managed to create a new Linux distribution that we called Forum Linux. It's still in beta version and we hope that we can release this distribution at the end of this ye…

Security Update: Firefox

Slackware security team has released a quick update for Firefox package for Slackware 10.2 and above (up to -Current). Meanwhile, the -Current also got an update for mkinitrd package to fix some bug that relate to modules to be ignored. Here's the latest -Current changelog:
Tue Nov 27 16:08:14 CST 2007
a/mkinitrd-1.3.0-i486-1.tgz: Upgraded to mkinitrd-1.3.0.
This fixes a bug where some module options could be ignored.
Thanks to Alan Hicks for the patch.
Thanks also to Richard Hoyle for showing me how to statically link busybox correctly when I wouldn't listen to the Makefile. ;-)

xap/mozilla-firefox-2.0.0.10-i686-1.tgz:
Upgraded to firefox-2.0.0.10.
This upgrade fixes some more security bugs.
For more information, see:
http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox
(* Security fix *)

Upgrading to 2.6.23.9

Image
Today, i was so tired, but i spent my spare time to compile the latest -Stable kernel, 2.6.23.9 which has some important fixes described in their Changelog. I compared the compilation between my laptop and my desktop and guess who's the winner?

Of course my laptop won it It has 1 GB of RAM while my desktop only have 512 MB. My desktop's processor is faster, but i guess amount of RAM has more influence when you are compiling. I ran the process in one step (we can do that by using ";" to separate each process) and when the laptop was done, my desktop is still compiling /drivers/usb

I also had some problems when i wanted to build a tgz package for sshutout package. It comes with a default Makefile, so you don't use ./configure as usual, just make and make install. Due to no ./configure script, my SlackBuild script changed the owner of my home directory to root users, so i had problems starting my KDE application, since it couldn't wrote to my home directory. I h…

Upgraded to 2.6.23.8

Image
I just came back from Kedai Kopi in Kaliurang st. where i must accompany my girlfriend for her business meeting. Since i came back from lecturing, i brought my laptop with me. I took the time when they were start talking to upgrade my Slackware system to the latest -Current, including the kernel. At the beginning, my girlfriend was confused about the display of my laptop, since i didn't boot to X Window. I prefer to use console because it's faster and i don't want to spend too much power just to load X Window where i could do the process in terminal.

First, I upgraded the kernel-headers package and then i compile the kernel from the source (vanilla). It took me about 20-30 minutes to finish the compilation (including reboot and installing NVidia driver again). Lucky me, the battery was full, so i could do some testing after installing the new kernel.

So my laptop is fully sync with -Current, except that i used custom kernel rather than using Slackware's default kernel st…

Kernel Updates and Security Fix : Libpng

The default kernel stock in -Current has been upgraded to 2.6.23.8 and also one security fix has been released for libpng package. This package will require some other package to be rebuild also, such as kernel-*, svgalib_helper, kernel configurations in kernels/, and the isolinux.
Wed Nov 21 00:11:24 CST 2007
a/kernel-generic-2.6.23.8-i486-1.tgz:
Upgraded to Linux 2.6.23.8 uniprocessor generic.s (requires initrd) kernel.

a/kernel-generic-smp-2.6.23.8_smp-i686-1.tgz:
Upgraded to Linux 2.6.23.8 SMP gensmp.s (requires initrd) kernel.

a/kernel-huge-2.6.23.8-i486-1.tgz:
Upgraded to Linux 2.6.23.8 uniprocessor huge.s (full-featured) kernel.

a/kernel-huge-smp-2.6.23.8_smp-i686-1.tgz:
Upgraded to Linux 2.6.23.8 SMP hugesmp.s (full-featured) kernel.

a/kernel-modules-2.6.23.8-i486-1.tgz
Upgraded to Linux 2.6.23.8 uniprocessor kernel modules.

a/kernel-modules-smp-2.6.23.8_smp-i686-1.tgz
Upgraded to Linux 2.6.23.8 SMP kernel modules.

d/kernel-headers-2.6.23.8_smp-i386-1.tgz:
Upgraded to Linux 2.6.23.8 SMP kern…

Security Update : Thunderbird

After being delayed for some time, finally Slackware security team has released an update for Thunderbird package for 10.2 up to -Current. Here's the latest changelog:
Tue Nov 20 16:49:58 CST 2007
xap/mozilla-thunderbird-2.0.0.9-i686-1.tgz:
Upgraded to thunderbird-2.0.0.9.
This update fixes the following security related issues:
URIs with invalid %-encoding mishandled by Windows (MFSA 2007-36).
Crashes with evidence of memory corruption (MFSA 2007-29).
OK, so the first one obviously does not affect us. :-) The second fix has to do with the same JavaScript handling problem fixed before in Firefox.
JavaScript is not enabled by default in Thunderbird, and the developers (at least in MFSA 2007-36) do not recommend turning it on.
For more information, see:
http://www.mozilla.org/security/announce/2007/mfsa2007-36.html
http://www.mozilla.org/security/announce/2007/mfsa2007-29.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4841
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5339
(…

Pile of Kernel Packages

Today, i browsed Linux Kernel site and i found a huge updates on the -Stable version. The last time i saw a -Stable kernel was 2.6.23.1, and now it was 2.6.23.8. I was thinking "Did i miss that much?" I don't think so, since i usually browse the site daily (or once in two days).

So i ran a search on KernelTrap, but i couldn't find anything about it. Next stop would be LWN and i found this article which describes why there are a lot of kernel update series. It's a good step taken by Greg to release the updates in some series because it's easier to review rather than big chunk.

Anyways, i'm downloading it right now....

XOrg Package Updates

There are several threads in LinuxQuestions (here and here) that discussed about a glitch that affected people who upgraded to the new Xorg package that was released last Wednesday (14 Nov) in -Current tree. People lost their control over their keyboard. This was caused by the new feature input hotplugging support that was introduced by PV on Xorg-server package. Several possible workaround has been proposed and finally PV release the recompiled xorg-server-* packages as well as some minor updates to cdparanoia, xf86-video-* and xscreensaver packages. Here's the latest -Current changelog:
Sat Nov 17 00:19:20 CST 2007
ap/cdparanoia-IIIalpha9.8-i486-3.tgz: Recompiled with SG_IO patch. This didn't seem to make a noticable difference, but to someone it might.
x/xf86-video-intel-2.2.0-i486-1.tgz: Upgraded to xf86-video-intel-2.2.0
x/xf86-video-sis-0.9.4-i486-1.tgz: Upgraded to xf86-video-sis-0.9.4.
OK, now that that Samba fix is done, we can give you a working X server. :-)
Evidently, th…

Security Update : Samba

Slackware security team has released an update for Samba package to fix security problems. This package has been released for 10.1 and above (up to -Current). Here's the latest -Current changelog
Fri Nov 16 17:22:18 CST 2007
n/samba-3.0.27-i486-1.tgz:
Upgraded to samba-3.0.27.
Samba 3.0.27 is a security release in order to address a stack buffer overflow in nmbd's logon request processing, and remote code execution in Samba's WINS server daemon (nmbd) when processing name registration followed name query requests.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4572
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5398
(* Security fix *)

Bunch of X Updates

There has been a slightly updates on -Current which took Mesa to 7.0.2 version and some other updates on xf86-* package plus some rebuild on xorg-server-* packages to remove support for XDMX and sync with the latest Mesa version. Here's the latest -Current changelog:

Wed Nov 14 15:25:14 CST 2007
x/mesa-7.0.2-i486-1.tgz: Upgraded to mesa-7.0.2.
x/xf86-video-ati-6.7.196-i486-1.tgz: Upgraded to xf86-video-ati-6.7.196.
x/xf86-video-intel-2.1.99-i486-1.tgz: Upgraded to xf86-video-intel-2.1.99.
x/xorg-server-1.4-i486-3.tgz: Rebuilt against Mesa 7.0.2.
Removed support for XDMX, as the code is not maintained and interferes with input hotplug support. Thanks to Carlos Corbacho for the help. :-)
x/xorg-server-xdmx-1.4-i486-2.tgz: Removed.
x/xorg-server-xnest-1.4-i486-3.tgz: Rebuilt.
x/xorg-server-xvfb-1.4-i486-3.tgz: Rebuilt.

Slow Boot

Image
Ever since i upgraded to 2.6.23, my laptop's boot time has increased, due to a problem which i hadn't time to analyze it further, but my guest is that i pick the wrong options when new questions arose when i build the new kernel, so today, i upgrade my laptop's kernel to 2.6.23.1. I know, it's not related to any boot up, since it only fix sata problem, but i want to start a new fresh kernel compilation, so i used the old 2.6.22.x kernel configuration and use make oldconfig to make the configurator asked for new features/drivers.

Now my laptop does boot faster then before, but still one problem left. It took too much time when detecting Yenta TI device. I don't know what that is, but i guess it's PCMCIA devices. I didn't start rc.pcmcia, but udev probably loads it, so my option will be disabling it by adding it to /etc/modprobe.d/blacklist. I'll let it be for the moment, as long as it doesn't take more than 5 minutes to boot

This Yenta problem seems t…

4 Security Patches Coming Through

Five patches (four are security fixes) are going through -Current and -Stable today. Most of them are related to xpdf bugs, except for PCRE. Check the changelog for more detail about the changes. Here's the -Current changelog:

Mon Nov 12 01:25:34 CST 2007
kde/kdegraphics-3.5.8-i486-2.tgz:
Patched xpdf related bugs.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-3387
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4352
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5392
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5393
(* Security fix *)

kde/koffice-1.6.3-i486-2.tgz:
Patched xpdf related bugs.
For more information, see:
http://www.kde.org/info/security/advisory-20071107-1.txt
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-3387
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4352
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5392
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-5393
(* Security fix *)

l/pcre-7.4-…

PHP Updates on -Current

As expected, PHP package has been updated to 5.2.5, the latest stable version that fixes more than 60 bug fixes. Here's the latest -Current changelog:

Sat Nov 10 14:27:42 CST 2007
n/php-5.2.5-i486-1.tgz:
Upgraded to php-5.2.5.
This fixes bugs and security issues.
For more information, see:
http://www.php.net/releases/5_2_5.php
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4887
(* Security fix *)Update (08:52): It seems that PHP updates go through up to Slackware 10.1. I just received a newsletter from Slackware Security Team

Another Small Updates on -Current

A week has passed since the last update son -Current and here it comes again, even though it's relatively small. Only a rebuild package for gnu-ghostscript, and updates for Firefox and SeaMonkey packages. Here's the latest -Current changelog:
Fri Nov 9 16:07:43 CST 2007
ap/gnu-ghostscript-8.60.0-i486-2.tgz: ./configured with --disable-compile-inits option, which disables a new default of compiling in various configuration values (such as paper size) rather than reading them from the traditional config file. Thanks to Jonathan Woithe for pointing this change out.

xap/mozilla-firefox-2.0.0.9-i686-1.tgz:
Upgraded to firefox-2.0.0.9.
This upgrade improves the stability of Firefox.
For more information, see:
http://developer.mozilla.org/devnews/index.php/2007/11/01/firefox-2009-stability-update-now-available-for-download/

xap/seamonkey-1.1.6-i486-1.tgz:
Upgraded to SeaMonkey 1.1.6.
This upgrade fixes SeaMonkey's ability to display certain types of web pages.
That's abo…

Gathering at ILC 2007

As ILC 2007 event is going to be held this month, i would like to invite all Indonesian Slackware users to gather at ILC event. There will be lots of communities, like slackware-id, ubuntu-id, opensuse-id, etc. Many people will come and meet each others. It's a good opportunities to know each other. Most of us have only meet via email, chat rooms, YM, etc. It's very nice to see each other face to face.

Soo... i'll be waiting at this year's ILC in Jogja....

Hardware Compatibility

Image
Sometimes, when we buy new hardware, we always have a perspective that the new thing will work flawlessly under Linux as it does under Windows (since the vendor supply the required driver). The problem is that most vendor is not willing to share or publish their specification for their products, resulting to a broken or unusable devices when being used in Linux. Thanks to lots of people (mostly are hackers, not crackers), they tried to make some magic by doing some research (perhaps reverse engineering) and make the driver for that device.

There are lots of reference to consult with before you buy new hardware. For example, you have LinuxHardware, Mandriva's HCL and many more. You can also check Linux Driver Project to see some devices that still doesn't have a driver. You can use the information to help you decide which hardware should you buy. Most of the time, the availability of a driver is only a matter of time. Soon or later, the driver will come up. Most of the problems …

My First SlackBuild

Image
I have been using Slackware for about two years and in this period, i have used lots of packages made by SlackBuild (from official Slackware repository or any other repository). I never thought that building my own SlackBuild is very challenging, so last night, i tried to make my first SlackBuild script. The package i choose was bmon. Here's the description about the project:
bmon is a portable bandwidth monitor and rate estimator running on various operating systems. It supports various input methods for different architectures. Various output modes exist including an interactive curses interface, lightweight HTML output but also formatable ASCII output.

Statistics may be distributed over a network using multicast or unicast and collected at some point to generate a summary of statistics for a set of nodes.I use PV's SlackBuild and then i modified it to make this package works well on Slackware 12.0 (probably also in earlier version, but i didn't try it out, as i only have …

One More

One more package has been recompiled to fix font rendering issue, which was libXft. It's included in the new modular Xorg release. Here's the latest -Current changelog:
Sat Nov 3 15:24:00 CDT 2007
x/libXft-2.1.12-i486-2.tgz: Recompiled to fix issues with bold font
rendering. Thanks to Bruce Hill and Eric Hameleers.

Small Updates on -Current

PV pushed some new and updated packages to -Current after only pushing security updates yesterday. Here's the latest -Current changelog:

Fri Nov 2 17:37:13 CDT 2007
n/links-2.1pre31-i486-1.tgz: Upgraded to links-2.1pre31.
n/mcabber-0.9.4-i486-1.tgz: Upgraded to mcabber-0.9.4.
n/openldap-client-2.3.38-i486-1.tgz: Upgraded to openldap-client-2.3.38.
n/sendmail-8.14.2-i486-1.tgz: Upgraded to sendmail-8.14.2.
n/sendmail-cf-8.14.2-noarch-1.tgz: Upgraded to sendmail-8.14.2 config files.
x/dejavu-ttf-2.21-noarch-1.tgz: Upgraded to dejavu-ttf-2.21.
xap/gimp-2.4.1-i486-1.tgz: Upgraded to gimp-2.4.1.
xap/pan-0.132-i486-1.tgz: Upgraded to pan-0.132.
xap/pidgin-2.2.2-i486-1.tgz: Upgraded to pidgin-2.2.2.
+--------------------------+

Security Update : CUPS

A new security update has been released by Slackware security team. This update consists of one update to CUPS package which may lead to crash CUPS. Here's the -Stable changelog:

Thu Nov 1 22:03:53 CDT 2007
patches/packages/cups-1.2.11-i486-2_slack12.0.tgz:
Patched cups-1.2.11.
An off-by-one error in ipp.c may allow a remote attacker to crash CUPS resulting in a denial of service.
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4351
(* Security fix *)
+--------------------------+

New Release of GIMP

Image
GIMP developer team has released GIMP 2.4.1, the first maintenance release for stable branch 2.4.x. It has fixed a couple of issues:

- fixed a minor display rendering problem
- improved the workaround for broken graphics card drivers
- fixed a crash with broken scripts and plug-ins
- fixed potential syntax error in configure script
- fixed parsing of floating point numbers in Script-Fu
- fixed potential crash when converting an indexed image to RGB
- update the histogram while doing color corrections
- fixed another crash with broken plug-ins
- fixed problems on Win32 when GIMP is installed into a non-ASCII path
- fixed handling of truncated ASCII PNM files
- make sure that there's always a cursor, even for small brushes
- fixed line-drawing with a tablet and the Shift key
- added code to use the system monitor profile on OS X
- show changes to the rounded corners in the Rectangle Select tool
- reduced rounding errors in the display render routines
- translation updates (ca, de, et, lt, mk, pa, …

Slow Updates

Things have been so idle in -Current changelog lately. It's four days since the last updates and the only thing new is the update for pkgtool (fix some problems on removepkg) and also added a new shinny glibc packages which is meant for testing (PLEASE, take consideration to CAREFULLY READ the CHANGELOG before you upgrade to this version of GLIBC as it's not easy to revert to your old glibc if you are having trouble with this version).

I'm sure Pat will release more packages soon.

Migrating Server to Slackware

Few days ago, my campus' system administrator was trying to install FreeBSD (his favorite) on a new server. This server was being planned to be a proxy server. He had a system stuck, even though the installation was a success. So he tried to use other distribution, like OpenBSD, NetBSD, even DragonFlyBSD. All of them had the same result, system freeze after rebooting the system. So he went to try for Linux distribution that was build for servers. He used Centos 5.0 and the installation was a success, but he disliked it, because it has X Window components by default. He is used to manage text-based system and this makes him uncomfortable.

So i asked him, why don't you try Slackware? He agreed to tried Slackware and this morning, i came to campus earlier to install Slackware 12.0 on the server. The server room was very cold, with 2 AC on it. I wiped out the Centos partition and re-create the partition from scratch again. This is my first time playing with servers and SCSI disk. I…

Upgrading Pidgin

If you are using Pidgin, it's suggested that you upgrade to the latest Pidgin version 2.2.2 to fix a problem that could lead to system crash when you receive a messages with invalid HTML code in it. An advisories has been published and a fix is already there (but not yet in -Current nor -Stable), so the best solution you can do for now (besides waiting) is that you grab the SlackBuild for Pidgin applications, change the version and compile it by your own. I have just finished upgrading my Pidgin to 2.2.2 just now.

GIMP Screenshots

Image
At last, i had some time to take a screenshot of the latest GIMP 2.4 on Slackware-Current. I hope this will help reduce your curiousity for some time before 12.1 takes of with 2.4 installed by default.



GIMP 2.4 Looks So Cool

Yesterday, i upgraded my laptop with the latest updates in -Current (i upgrade the packages which has been published between 20 and 24 October updates). I'm planning to upgrade my desktop also in the next few days when i'm done with my work on Windows. One of the most significant updates between those dates were GIMP 2.4.0. It has new looks due to new Tango icons and it's more consistent than before. The upgrade was as easy as issuing an upgradepkg command and it will take care everything for you.

Please note that GIMP will now create a new directory called .gimp-2.4 in your home directory to save all their settings. When you are satisfied with GIMP 2.4, you may delete your .gimp-2.2 directory to save some space. Next, check your Menu entry. You may have to update/delete unneeded menu entry because the new package also creates a new entry for GIMP. Too bad KDE doesn't have a sorting feature on their menu editor (or it was me who didn't see that feature).

Unfortunatel…

Security Update : Firefox and SeaMonkey

PV has released two updates related to Mozilla product: Firefox and SeaMonkey. Please note that this is also included in -Current. Here's the -Stable changelog
Wed Oct 24 22:51:37 CDT 2007
patches/packages/mozilla-firefox-2.0.0.8-i686-1.tgz:
Upgraded to firefox-2.0.0.8.
This upgrade fixes some more security bugs.
For more information, see:
http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox
(* Security fix *)

patches/packages/seamonkey-1.1.5-i486-1_slack12.0.tgz:
Upgraded to seamonkey-1.1.5.
This upgrade fixes some more security bugs.
For more information, see:
http://www.mozilla.org/projects/security/known-vulnerabilities.html#seamonkey
(* Security fix *)

GIMP 2.4 on -Current

Image
Good news for Slackware-Current users. GIMP 2.4 has made through -Current along with updates of librsvg, Firefox and SeaMonkey. That was very quick, since GIMP 2.4 has just been released few hours/days ago. Perhaps it's because PV likes it?? Or perhaps it doesn't bring lots of new package requirements, so PV can just use the old SlackBuild script to compile this version and upload to public. It's very interesting and i would like to try it ASAP

GIMP 2.4 Released

Good news guys... and gals...

GIMP 2.4 has been officially released with tons of new updates. It has new look which will be more consistent even on other platforms. I'm looking forward to have this release on the Slackware-Current tree.

Right now, Slackware-Current is still idle, but i'm assuming PV is working on it and he will release bunch of updates when the time is right to do so (it's based on experience on the past). So stay tunes with the Changelog

Adobe Reader 8.1.1

Adobe has released Adobe Reader 8.1.1 for Windows and Linux. You can grab them from the FTP or browse through Adobe site. For Linux, you can grab it from here.

Adobe Reader 8.1.1 includes a security fixes, so most people are encouraged to upgrade to this version (if you haven't do so)

Enjoy...

Slackware Naming Conventions

Up to now, there hasn't been any documentation about Slackware version conventions. Usually PV use .0 for major upgrades and .1 and .2 for updates (meaning no major upgrades). In the past, Slackware perform this naming conventions regularly (8.1, 9.0, 9.1, 10.0, 10.1, 10.2, 11.0, and the latest is 12.0). Before PV announced 12.0, many people have discussed about the next version of Slackware. What will it be? 11.1 or 12.0? It's was then 12.0 because it was build on a new toolchain and lots of changes in the packages (mostly became more modular for easy management). Besides that, Slackware 12.0 is the first Slackware release that shipped without kernel 2.4 and have a default 2.6.x kernels. Support for kernel 2.4.x has been dropped, so as for floppy installation.

After 12.0, the next release will be 12.1. Pat has said this (implicitly) by giving a naming scheme on his package (look for it in the Slackware-Current changelog. I'm sure you know what package i'm referring to)…

Slackware-Current on Indonesian Mirror

For those who lives in Indonesia, you can enjoy Slackware-Current from Indonesian mirror (Thanks to Ozzie for taking care of this). It has been updated to sync with updates dated Thu Oct 18 18:19:59 CDT 2007. Hopefully he managed to update the repository periodically.

Upgrading Laptop Also

Image
So, knowing that the upgrade to the -Current is so simple and smoothly, i decided to spent my early morning upgrading my Slackware system to the -Current. As the result, now my desktop and laptop sync the same packages

Yeaaaa.... Slackware is so slick and amazing.....

SlackBlogs on SlackWorld

Image
I just browsed SlackWorld and i found out that my blog (this blog) is already being added there. Thanks to SlackWorld for adding my blog at your page. it's still nothing compared to other blog out there, but i'm trying to give the best for Slackware

Running Slackware Yihaaaaa.....

Image
So i'm too curious to try out Slackware-Current so i just performed an upgrade to Slackware-Current and everything works smoothly, even though i had some problems with glibc-i18n (the package was corrupt, so i had to re-download it again from text-mode using links). Besides that, everything was working as expected (this is one reason i like using Slackware. You can perform an upgrade to the development tree without major problem). The only thing that worries me before i perform an upgrade was about this:
PLEASE NOTE: There are a few known problems with this release.
Please let us know if you have solutions to any of these.
1. xf86-video-vesa was not upgraded for the X.Org 7.3 release, and running Terminal or vte under KDE results in an X hang under KDE, or garbage in the terminal under XFce.Lucky me, my system didn't use vesa driver, so i didn't experience this kind of problem. Other thing mentioned in LinuxQuestions didn't happened in me, so i guess it was a smooth upgra…

Slackware Current

Image
Well.. well.. Slackware Current has started again and as usual , bunch of updates are coming in Slackware-Current tree. Beware.... the file list is HUGE!!!!! Read the CHANGELOG for detailed updates

I'm downloading it now....

KDE 3.5.8 Is Out

Even though KDE 4 is shipping this year, it doesn't mean that KDE developers abandon KDE 3.5.x. They have just released 3.5.8, the latest (and probably the last 3.5.x branch) KDE release to replace the previous version, 3.5.7. Take a look on the Changelog for details of changes.

I'm not sure this will be introduced in Slackware 12.0, since it's not a security fixes (even though some of the packages fixed security problem), but i guess PV will make a patch for this (not entire package, but only related packages).

Chatting on #Slackware

Image
I just installex X-Chat and now i often joined #slackware on freenode just to chat with other Slackware users around the world. It's a nice chat room, but most of the time, it will be very silent until someone comes up and ask for help

You can use BitchX or any other IRC client to join the channel and it's free (don't worry) hehe

Desktop Upgraded

Last night, i left my desktop computer up and running, compiling the latest kernel and this morning, the process has finished (it only took 1 hour, but since it was 12:30 AM, i was too sleepy to wait). So here are the result of my new system:

willysr@desktop:~$ uname -a
Linux desktop 2.6.23 #1 Thu Oct 11 00:41:03 WIT 2007 i686 AMD Athlon(tm) AuthenticAMD GNU/Linux

Slackware Update : glibc-zoneinfo

Slackware has just release an update (not security) for glibc-zoneinfo package. It consist of updates for the daylight saving time in Brazil and New Zealand and also latest timezone data from NIST:
Wed Oct 10 11:50:50 CDT 2007
patches/packages/glibc-zoneinfo-2.5-noarch-5_slack12.0.tgz:
Upgraded to timezone data from tzcode2007h and tzdata2007h.
This contains the latest timezone data from NIST, including some important changes to daylight savings time in Brasil and New Zealand.

Upgrading to 2.6.23

Image
Since the final kernel 2.6.23 has been released, i'm upgrading my kernel to the latest version. Right now, i'm compiling it on my laptop and in the next few minutes, i will start running 2.6.23

Desktop will follow soon...

Update (17:20 PM) : It seems that the legacy NVidia driver (1.0-9631 and probably other old legacy releases) is having some problem with the latest kernel 2.6.23. I couldn't build the NVidia driver (probably due to changes in the kernel source), so i upgraded using 96.43.01 and it fixed my previous bug which i submitted to NVidia when i logged out from KDE. Thank goodness it is finally fixed (even though in the legacy drivers).

I don't know for sure, but i think 2.6.23 is slower than 2.6.22. I think the boot time increases for a few seconds and it took more time to execute some application. I'm not very sure about this. I need more test on the performance of the new shinny kernel

Btw, i'm uploading my config file just in case someone else need a…

Security Update : Pidgin

Well, it's a bit late for (since i have upgraded to the latest version on my Slack), but who cares. Slackware team has released a single update to -Stable tree. It's Pidgin. Since it can crash your system remotely, it's considered a security problems, thus upgraded package are provided.
Tue Oct 2 22:25:23 CDT 2007
patches/packages/pidgin-2.2.1-i486-1_slack12.0.tgz:
Upgraded to pidgin-2.2.1.
This fixes a crash that can be triggered remotely on MSN in 2.2.0.
For more information, see:
http://www.pidgin.im/news/security/?id=23
(* Security fix *)

More and More

Even though Slackware still uses the old ncurses-based installer and traditional approach of a Linux distribution, more and more Slackware-based Linux distribution comes up. The latest news is that Puppy Linux 3.00 has been released. This version is based on Slackware 12.0. Another distribution is NimbleX, which comes up with a LiveCD edition. Don't forget about ZenWalk and SLAX. It has good community as well.

It's just a statement that Slackware is still being used and trusted by it's users. In LinuxQuestions forum, Slackware forum is one of the most active categories and many people come to that forum. It's considered the biggest community site of Slackware.

Another Slackware Review

Image
This time, it comes from LXer. It tried to compare Slackware and Ubuntu. I know it's kindda subjective, but it's a public review and not everyone will be pleased by the result (at least i do). Check them out

Nasty Bug on Liferea

Lars have released Liferea 1.4.4 and state this release as a stable version, thus removing the 1.2.x version. Meanwhile, 1.4.5 is on the process of cooking right now and it will be out shortly (hopefully). This version also fixed nasty bug that appeared on 1.4.2b (and probably 1.4.2c) which could cause data loss. It's recommended that you upgrade to the latest version, 1.4.4 (for now). Check Liferea Blog for more detail information.

New Poll

Image
A new round of the poll has been started (just now). The questions is : "What's The Most Problematic Hardware?" I wanted to find out which hardware tends to bring problems when they are configured in Slackware (or in other distribution as well). Please use your vote and choose the suitable answer for you (you can select multiple answers if you like). The vote will be closed at the end of this year (you have about 3 months).

Have a nice day

Results Of The Poll

Well, the polling has been closed and here are the results:


Slackware 10 : 8 (4%)

Slackware 10.1 : 13 (8%)

Slackware 10.2 : 23 (14%)

Slackware 11.0 : 42 (25%)

Slackware 12.0 : 123 (75%)

Total voters: 162

It has been dominated by Slackware 12 (as i predicted).

Time for another poll then ....

Upgrading Pidgin and WxWidgets

It's been a few days without any updates on my Slackware system, so finally i decided to upgrade my Pidgin to 2.2.1 (just released yesterday) and also my WxWidgets to 2.8.6. It's compiling now......

Pidgin comes with a security fix. When you are logged in as MSN user and an unknown remote MSN users sends you a nudge, it will crash your system. Check the security advisories for more information. Along with this fix, several other fixes are coming in. The 2.3 version is already started, so the next release will be 2.3 if no more security problem arises on 2.2.x version.

Two NVidia Legacy Drivers

NVidia has released two legacy drivers for Linux and Unix operating system. They released it as 71.86.01 and 96.43.01. Both version improves supports with the latest X Org servers and some compatibility with newer 2.6.x kernels and some other features. Check it out if you are using NVidia chipset.

OpenProj : Project Management In Linux

For some time, i was wondering, is there any good alternatives for Microsoft Project? I have searched some open source application, but most of them are not capable of opening files that were made by Microsoft Project. More over, they have limitations on the application itself, meaning, they only support some of the important core features that is available on Project.

The searches continues until this morning. I found this project, OpenProj. It's a free, open source desktop alternative to Microsoft Project and it's available on Windows, Linux, Unix, and Mac OS. It's Java-based application, so you will need to install JRE or JDK before you can start using this application. I have installed this application and yes, it reads Microsoft Project's files correctly and quite well. The only problem is that when you use it for simple project which usually happened in few hours. OpenProj seems to use days as the minimum time frame.

This application has some features that are quit…

Installing aMule

Image
Last night, i tried to install eMule client on my Slackware box. The reason why i need to install eMule client is that i had to download a file which is available on eMule network (at least when i found the file). The site recommended aMule or xMule for Linux platform, so i tried both of them. I grab the source code and compile it manually, but it always failed. After looking for some information, it seems that the current version was having problem with WxGTK 2.8 and above (i use 2.8.5). Finally i grab the binary package from LinuxPackages (it's only available for Slackware 11 though). I install the package and it still won't work.

I ran some debug by running it from the terminal and found out that it needs some library, called libfbd. I checked my system and i already have that library, but with higher version. So the easiest way was making a symlink and yes, it worked

Later on, i found out that the packages were already available on the Torrent networks, so i canceled the do…

Security Update : KDEBASE + KDELIBS

Slackware security team has released two updates on KDE packages, related to kdebase and kdelibs. Here are the changelogs:
Fri Sep 21 18:13:09 CDT 2007
patches/packages/kdebase-3.5.7-i486-3_slack12.0.tgz:
Patched Konqueror to prevent "spoofing" the URL
(i.e. displaying a URL other than the one associated with the page displayed)
For more information, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-3820
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4224
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4225
Patched KDM issue: "KDM can be tricked into performing a password-less login even for accounts with a password set under certain circumstances, namely autologin to be configured and "shutdown with password" enabled."
For more information, see:
http://www.kde.org/info/security/advisory-20070919-1.txt
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4569
(* Security fix *)

patches/packages/kdelibs-3.5.7-i486-3_slack12.0.tgz:
Patched Konqu…

New NVidia Driver For Linux

NVidia has released a new driver for Linux users, 100.14.19. It has various improvements compared to the latest version and yes, it will only works with newer GPUs, so don't use this if you have old GPUs (for example GeForce 2 or 4 MX. Use the legacy version instead). Here are some improvements on this release:
* Added support for new GPUs

* Improved GLX_EXT_texture_from_pixmap out-of-memory handling.

* Fixed a performance regression on GeForce 8 GPUs.

* Added support for a 'NoScanout' mode to the X driver, useful for high performance computing environments and remote graphics

* Improved power management support with GeForce 8 and older GPUs.

* Improved compatibility with recent X.Org X servers.

* Improved G-Sync support with Quadro FX 4600 and Quadro FX 5600.

* Added XV brightness and contrast controls to the GeForce 8 video texture adapter implementation.

* Further improved interaction with ATi RS480/482 based mainboards.

* Fixed stability problems with some GeForce 8 GPUs.

* Fixed…

Nice FTP Client

Image
If you are looking for a small and nice FTP Client, try FileZilla. It has a nice GUI like in Windows application (CuteFTP for example). It's also a cross platform application, which is available both in Windows and Linux operating system. Here are some features on the application itself:

* Easy to use
* Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
* Cross-platform. Runs on Windows, Linux, *BSD, OSX and more
* Available in many languages
* Supports resume and transfer of large files >4GB
* Powerful Site Manager and transfer queue
* Drag & drop support
* Configurable Speed limits
* Filename filters
* Network configuration wizard

Adobe Reader 8 Rocks

Image
This morning, i installed Adobe Reader 8, replacing my previous version along with Pidgin (it's still compiling now). The installation process does not change at all. You extract the packages, ran the INSTALL script and it will ask you the installation directory. It's said that even though Adobe has offered you a default path (/opt), you should not press ENTER here. You should define your own path (even if you want to use /opt). I choose to set /opt/AdobeReader for my system.

After the installation, the script said that i should log out and login again in order to have the MIME changed, but i can start the application without having to re-login again. It will display a new window, called Beyond Acrobat Reader. This is very useful if you haven't used Adobe Acrobat before, so i checked the option to disable this at startup and close it. Next, you will have a problem with libgtkembedmoz library. This library shipped with Mozilla Seamonkey, so click on Edit > Preferences >…

Adobe Reader 8.1.1 For Linux

Adobe has released a new Adobe Reader for Linux and Solaris. This release also fix the syntax error problem found when you ran Adobe Reader in Slackware 12. It was caused by the GTK library, even though i doubt that. A single character will fix this issues (read my previous post).

Some improvements on this release are (Taken from Phoronix):
- New user-interface
- Improved performance
- Single document interface mode
- Always-available search toolbar
- Better desktop integration
- Support multimedia-enabled PDF documents
- New tools
- Updated review tracker
- Orca accessibility support
- New additions to the digital ID feature

Grab them from this FTP

Pidgin 2.2.0 Released

Pidgin has released 2.2.0 version with some improvements they got from the last Google Summer of Code project. They have integrate them and it's on 2.2.0 tree right now. See the changes on their Changelog. I'm downloading it now and i will try it tomorrow. I just edit the SlackBuild script and then execute it to get the latest Pidgin version. Sweet. This is what i like about Slackware. It's all about simplicity.

Slackware : Un-Buntu

Here's an article about Slackware, which people refer to Un-Buntu or anti-buntu. It's not a flame war, but a small review about Slackware, compared to Ubuntu, regarding the packages. Slackware has about 800 packages, compared to 12000 packages in Ubuntu (derived from Debian), but most of us don't use that much. We mostly use only about 20 application in our daily activities.

Slackware also lacks from official repositories, like ini Ubuntu, but community can help you by making packages for you. Check LinuxPackages, Slacky.EU and SlackBuild for more Slackware packages.

Security Update : PHP, OpenSSH, Samba

Slackware security team has released three packages containing security updates: PHP, OpenSSH, and Samba. Here's the latest changelog on -Stable tree:
Wed Sep 12 15:20:06 CDT 2007
patches/packages/openssh-4.7p1-i486-1_slack12.0.tgz:
Upgraded to openssh-4.7p1.
From the OpenSSH release notes:
"Security bugs resolved in this release: Prevent ssh(1) from using a trusted X11 cookie if creation of an untrusted cookie fails; found and fixed by Jan Pechanec."
While it's fair to say that we here at Slackware don't see how this could be leveraged to compromise a system, a) the OpenSSH people (who presumably understand the code better) characterize this as a security bug, b) it has been assigned a CVE entry, and c) OpenSSH is one of the most commonly used network daemons. Better safe than sorry.
More information should appear here eventually:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-4752
(* Security fix *)

patches/packages/php-5.2.4-i486-1_slack12.0.tgz:
Upgraded to php-…